Subject: single-binary build broken on systems with separate libintl

From: Audrey Dutcher <[email-masked]>
Date: Fri, 17 May 2024 09:11:05 -0700

On my FreeBSD system, downloading coreutils-9.5.tar.xz, then building
with `./configure --enable-single-binary && make` does not succeed,
with the error message `don't know how to make -Wl,-rpath. Stop`

I believe the root cause of this is
https://github.com/coreutils/coreutils/blob/52e024b/src/local.mk#L485,
which mixes DEPENDENCIES and LDADD. This seems bad, for very relevant
reasons!

-- 
Audrey Dutcher
she/her/hers
https://rhelmot.io/